local assets = 
{
	Asset("ANIM", "anim/toso_xuanfeng.zip"),

}

local function toso_xuanfeng(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()

    anim:SetBank("toso_xuanfeng")
    anim:SetBuild("toso_xuanfeng")
    anim:PushAnimation("idle", true)

    trans:SetScale(1, 1, 1)

    inst:AddTag("FX")
	inst:AddTag("NOCLICK")
	inst:DoTaskInTime(1, function() inst:Remove() end)
    return inst
end


return Prefab( "common/toso_xuanfeng", toso_xuanfeng, assets)